"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.plot = exports.plotter = exports.createEchartsWindow = void 0;
const echarts = __importStar(require("echarts"));
const canvas_js_1 = require("./canvas.js");
const createEchartsWindow = (options = {}) => {
    const { title, left, top, width = 800, height = 600 } = options;
    const { theme, locale } = options;
    const renderer = "canvas";
    const dom = (0, canvas_js_1.createCanvasElement)({ title, left, top, width, height });
    return echarts.init(dom, theme, { locale, width, height, renderer });
};
exports.createEchartsWindow = createEchartsWindow;
const plotter = (options = {}) => {
    const chart = (0, exports.createEchartsWindow)(options);
    return (options, clear = false) => {
        if (clear) {
            chart.clear();
        }
        chart.setOption(options);
        return chart;
    };
};
exports.plotter = plotter;
const plot = (echartsOption, windowOptions = {}) => (0, exports.plotter)(windowOptions)(echartsOption);
exports.plot = plot;
//# sourceMappingURL=index.js.map